#include <bits/stdc++.h>
using namespace std;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    bool sieve[500001] = {};

    for (int i = 0; i * i <= 500000; i++) {
        for (int j = i; i * i + j * j <= 500000; j++) {
            sieve[i * i + j * j] = true;
        }
    }

    int n, num;
    cin >> n;

    for (int i = 0; i < n; i++) {
        cin >> num;
        cout << sieve[num];
    }

    return 0;

}
